# setAnnotationProcessorPath

abstract fun setAnnotationProcessorPath(annotationProcessorPath: FileCollection)

Set the classpath to use to load annotation processors when compiling this source set. This path is also used for annotation processor discovery. The classpath can be empty, which means use the compile classpath; if you want to disable annotation processing, then use `-proc:none` as a compiler argument.

#### Since

4.6

#### Parameters

annotationProcessorPath

The annotation processor path. Should not be null.